Bug 1282129 - python-netaddr: nothing provides python2-netaddr
python-netaddr: nothing provides python2-netaddr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-netaddr (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 19:53 EST by Carl George
Modified: 2016-03-26 14:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-netaddr-0.7.18-6.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:17:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-11-14 19:53:41 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-netaddr.  This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-netaddr and python3-netaddr subpackages.

> Name: python-%{srcname}

> %package -n python2-%{srcname}

> %package -n python3-%{srcname}

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 08:57:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-03-08 17:21:08 EST
python-netaddr-0.7.18-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ffba3f7d0
Comment 3 Fedora Update System 2016-03-09 20:56:43 EST
python-netaddr-0.7.18-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ffba3f7d0
Comment 4 Fedora Update System 2016-03-26 14:17:51 EDT
python-netaddr-0.7.18-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.